package org.xyzh.common.dto.crontab;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 定时任务邮件通知默认接收人员表
 * @filename TbCrontabEmailDefault.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-11-18
 */
public class TbCrontabEmailDefault extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 默认ID
     */
    private String defaultId;
    
    /**
     * @description 关联任务元数据ID
     */
    private String metaId;
    
    /**
     * @description 关联用户ID
     */
    private String userId;

    /**
     * @description 关联用户邮箱
     */
    private String userEmail;

    /**
     * @description 关联用户名称
     */
    private String username;

    /**
     * @description 创建者
     */
    private String creator;
    /**
     * @description 更新者
     */
    private String updater;

    public String getDefaultId() {
        return defaultId;
    }

    public void setDefaultId(String defaultId) {
        this.defaultId = defaultId;
    }

    public String getMetaId() {
        return metaId;
    }

    public void setMetaId(String metaId) {
        this.metaId = metaId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserEmail() {
        return userEmail;
    }

    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbCrontabEmailDefault{" +
                "id=" + getID() +
                ", defaultId='" + defaultId + '\'' +
                ", metaId='" + metaId + '\'' +
                ", userId='" + userId + '\'' +
                ", userEmail='" + userEmail + '\'' +
                ", username='" + username + '\'' +
                '}';
    }
}